Bug 830285 - libra_web failure - new javascript menu needs a wait condition
libra_web failure - new javascript menu needs a wait condition
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Test Suite (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 14:17 EDT by Clayton Coleman
Modified: 2015-05-14 21:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 13:28:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-06-08 14:17:07 EDT
The new dropdown menu activates via JS and then gets scrolled onto the page.  The click handler in webdriver can't click on something outside the visible page, which causes this error.

  1) Error:
test_signin_process(Signin):
Selenium::WebDriver::Error::MoveTargetOutOfBoundsError: Element cannot be scrolled into view:https://ec2-23-20-107-39.compute-1.amazonaws.com/app/account
    /usr/lib/ruby/gems/1.8/gems/selenium-webdriver-2.21.2/lib/selenium/webdriver/remote/response.rb:52:in `assert_ok'
    /usr/lib/ruby/gems/1.8/gems/selenium-webdriver-2.21.2/lib/selenium/webdriver/remote/response.rb:15:in `initialize'
    /usr/lib/ruby/gems/1.8/gems/selenium-webdriver-2.21.2/lib/selenium/webdriver/remote/http/common.rb:59:in `new'
    /usr/lib/ruby/gems/1.8/gems/selenium-webdriver-2.21.2/lib/selenium/webdriver/remote/http/common.rb:59:in `create_response'
    /usr/lib/ruby/gems/1.8/gems/selenium-webdriver-2.21.2/lib/selenium/webdriver/remote/http/default.rb:64:in `request'
    /usr/lib/ruby/gems/1.8/gems/selenium-webdriver-2.21.2/lib/selenium/webdriver/remote/http/common.rb:40:in `call'
...
    /usr/lib/ruby/gems/1.8/gems/selenium-webdriver-2.21.2/lib/selenium/webdriver/common/action_builder.rb:343:in `perform'
    ./openshift/rest/navbars.rb:34:in `click_signout'
    testcases/tc_signin.rb:33:in `test_signin_process'
    ./openshift/selenium_test_case.rb:113:in `run'
Comment 1 John (J5) Palmieri 2012-06-19 13:28:07 EDT
Fixed tests along with some ruby 1.9 fixes.

Note You need to log in before you can comment on or make changes to this bug.